Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 984394 - Advanced Search shows list of fields incorrectly sorted
Summary: Advanced Search shows list of fields incorrectly sorted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Query/Bug List
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 4.4
Assignee: Simon Green
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-15 06:37 UTC by Jason McDonald
Modified: 2018-12-09 06:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-15 02:15:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1257777 None None None Never

Internal Links: 1257777

Description Jason McDonald 2013-07-15 06:37:19 UTC
Description of problem:
In the Advanced Search form, under Custom Search, the drop down lists showing the possible fields are not correctly sorted in alphabetic order, which makes it unnecessarily difficult to find certain fields in what is rather a long list.

It appears that the list is mostly sorted, with a few fields out of order. For example, Hours Left appears towards the bottom of the list between Regression and Reporter.

Version-Release number of selected component (if applicable):
4.4

How reproducible:
Always

Steps to Reproduce:
1. Go to http://bugzilla.redhat.com
2. Click "Search"
3. Scroll down to "Custom Search"
4. Click on the leftmost drop down list on the second row.
5. Scroll the list until you find "Hours Left" (not to be confused with "Hours Worked")

Actual results:
The "Hours Left" field appears out-of-order (between "Regression" and "Reporter").

Expected results:
The list should be presented in alphabetic order.

Additional info:
nil.

Comment 1 Simon Green 2013-07-15 23:12:22 UTC
I suspect this is coming from the field name (remaining_time is between "Regression" and "Reporter"), but agree that it should be fixed. The exception will be the two component lists, which will appear below 'Component'. This is an intentional decision.

  -- simon


Note You need to log in before you can comment on or make changes to this bug.